rte_swx_port_source_sink.h(3)

NAME
rte_swx_port_source_sink.h

SYNOPSIS

#include 'rte_swx_port.h'

  Data Structures

struct rte_swx_port_source_params
struct rte_swx_port_sink_params

  Macros

#define RTE_SWX_PORT_SOURCE_PKTS_MAX 1024

  Variables

struct rte_swx_port_in_ops rte_swx_port_source_ops
struct rte_swx_port_out_ops rte_swx_port_sink_ops

Detailed Description

RTE SWX Source and Sink Ports

Definition in file rte_swx_port_source_sink.h.

Macro Definition Documentation

  #define RTE_SWX_PORT_SOURCE_PKTS_MAX 1024
Maximum number of packets to read from the PCAP file.

Definition at line 20 of file rte_swx_port_source_sink.h.

Variable Documentation

  struct rte_swx_port_in_ops rte_swx_port_source_ops [extern]
Source port operations.

  struct rte_swx_port_out_ops rte_swx_port_sink_ops [extern]
Sink port operations.

Author

Generated automatically by Doxygen for DPDK from the source code.